## org.eclipse.emf.codegen.merge.java.facade
Interface JEnum

All Superinterfaces:
  JAbstractType, JMember, JNode

All Known Implementing Classes:
  ASTJEnum

    public interface JEnum

extends JAbstractType

Enumeration declaration as described in JLS3 8.9.

>      EnumDeclaration:
>        ClassModifiersopt enum Identifier Interfacesopt EnumBody

>      EnumBody:
>        { EnumConstantsopt ,opt EnumBodyDeclarationsopt }

Since:
  2.3.0
See Also:
  JLS3 Section 8.9

Method Summary
`void` `addSuperInterface(java.lang.String superInterface)` Adds an interface to the list of interfaces.
`java.lang.String[]` `getSuperInterfaces()` Returns ordered array of super interfaces as declared in source in "implements" clause.
`void` `setSuperInterfaces(java.lang.String[] superInterfaces)` Sets ordered super interfaces array of super interfaces to the given array.

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Method Detail

### getSuperInterfaces

    java.lang.String[] getSuperInterfaces()

  Returns ordered array of super interfaces as declared in source in "implements" clause.

  Returns:
    array of interfaces, empty array if none

### setSuperInterfaces

    void setSuperInterfaces(java.lang.String[] superInterfaces)

  Sets ordered super interfaces array of super interfaces to the given array.

  Parameters:
    `superInterfaces` -

### addSuperInterface

    void addSuperInterface(java.lang.String superInterface)

  Adds an interface to the list of interfaces.

  Parameters:
    `superInterface` -

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.